Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [linux-ubuntu]

Use this tag for questions specific to using Vim on the Ubuntu flavor of linux.

2
votes
2answers
48 views

Understanding how “vi” finds its global configuration file

On my Ubuntu OS, I see this in /etc/vim/vimrc.tiny: $ cat /etc/vim/vimrc.tiny " Vim configuration file, in effect when invoked as "vi". Here's the partial output from :version: system vimrc file: "$...
1
vote
1answer
81 views

Latex-suite <alt-I> mapping

Last week I reinstalled Ubuntu 18.04 LTS on my laptop. During my last installation of ubuntu (also 18.04) I learned vim and used it in combination with the latex-suite. However on this new ...
1
vote
0answers
57 views

How do I configure my VI environment on Ubuntu 18.10?

I have a fresh install of Ubuntu 18.10 and VI is exhibiting behavior I am unaccustomed to. For example, when I insert something using "i", 4 spaces are automatically placed in front of what I've ...
0
votes
0answers
16 views

Displaying specific text only in the airline of a given window

Suppose that using bufwinnr() I find the windows number where a given buffer is being displayed to be 2. With that information, is there a way to display a specific string only in the airline status ...
0
votes
1answer
35 views

Identifying the PID of Vim 8.1 internal terminal launched with :terminal ++close

When launching an internal Vim 8.1 terminal for an exclusive program like in terminal ++close ipython, is there a way to identify from vimscript which is the PID of the launched process (i.e. of the ...
0
votes
1answer
86 views

Unable to install most recent gvim 8.1 on Ubuntu

On Ubuntu, when I do vim --version in the terminal I get: VIM - Vi IMproved 8.1 (2018 May 18, compiled Jan 6 2019 14:05:44) Included patches: 1-699 However, when I do gvim --version I get: ...
0
votes
1answer
49 views

Making Numpad numerical keys work in Vim using Ubuntu 18's terminal

In my current machine, I use Vim 8.1 in a Ubuntu 18's default terminal (Vim is running with TERM=xterm256-color, which is a requirement for me). Everything works perfectly, with the exception of the ...
0
votes
0answers
20 views

How to add nvim to launchpad in Ubuntu?

I'd like to add NeoVim to the launchpad in Ubuntu 18.04. When I open nvim in Ubuntu, it just opens a terminal with nvim running in it. If I added it to the favorites (i.e., the lauchpad), only the ...
2
votes
1answer
46 views

Occupy the remaining space in terminal

When I open the vim in the xterm (ubuntu) there's always a space on the right and bottom part of terminal which is not fully occupied by the vim. What could be the reason behind it? And what are the ...
1
vote
0answers
44 views

Vim: a weird background problem in gnome-terminal

I get weird border form gnome-terminal when i run Vim fullscreen. It never happened before. I'm confused. How to repair it without changing my terminal background colour?
1
vote
1answer
313 views

How do I configure syntastic to use Python3 in Ubuntu?

The following code shows invalid syntax. I assume syntastic is looking at Python2 for syntax-checking. I need it to look at Python3 instead. def x(): x = 42 def y(): nonlocal x x = 8 ...
2
votes
0answers
34 views

gvim gnome hides command prompt

This is not firmly reproducible but when I run ctrl+wv to create a vertical split window, I sometimes lose visibility to the colon command prompt. Command prompt still works invisibly. Sometimes I can ...
1
vote
1answer
435 views

Vim 8.1 Globally custom highlight colors

Problem I'm finally getting around to upgrading from Vim 7.4 to Vim 8.1, but my global custom highlight colors have stopped working. I am aware similar questions (such as this one) have been asked, ...
0
votes
1answer
62 views

<Esc> key mapping seems to be not working in my vim 8.0 on my Ubuntu 16.04

I have inoremap jj <ESC> in my vimrc on my Ubuntu 16.04. I have no idea why my jj not working and its just typing literally <ESC> in my text file for my jj press. Any idea how can I get ...
1
vote
0answers
16 views

gVimDiff in Nemo context menu

On Windows I'm used to have the gVimDiff context menu when two or more files are selected in Windows Explorer. Is there something similar for Nemo on Ubuntu? I searched for the string in the title ...
4
votes
1answer
678 views

Copying From Vim to Ubuntu Bash on Windows

Note: this question is specific to the relatively new Ubuntu Bash on Windows system. So it seems possible to paste into Vim from the Windows clipboard by simply right clicking in insert mode after ...
3
votes
2answers
173 views

Portable Vim for Ubuntu Linux

I use Ubuntu as my desktop OS. I want my vim to be portable so that I can use my vim configuration as well as the plugins I use in my college PCs too. Is there any way to have a portable version of ...
6
votes
1answer
2k views

Trying to compile vim with python 3.6. Where is my config directory?

I'm a bit of a noob when it comes to Linux, only started using it recently. However, I am trying to compile vim with python because I am using latex live preview and it needs a python compiled vim ...
2
votes
1answer
644 views

Cannot setup tern_for_vim plugin

I installed the plugin tern_for_vim. Followed all the instructions from readme but it doesn't work. I don't have any autocompletion for javascript, the commands :TernDef and :TernDoc are not ...
0
votes
1answer
459 views

I can't edit a single file with Vim, [closed]

I just installed Ubuntu 16.04 and installed Vim, I tried to edit some files and when trying to write changes Vim said: E173 4 more files to edit I don't know why it's happening but it's making my ...
1
vote
1answer
1k views

How to safely switch from vim-athena to vim-gtk?

I have vim 7.4 Huge version with X11-Athena GUI installed on my laptop running ubuntu 16.04. I would like to safely switch to vim-gtk. Do I have to uninstall existing vim installation and install vim-...
3
votes
0answers
87 views

Manual fold issue on both Mac & Ubuntu

When I set foldmethod=manual and then I'm typing <zc> E490: No fold found is raising. Same story with set foldmethod=marker. The behavior is the same on Mac Sierra and Ubuntu 16.04. I ...
1
vote
1answer
110 views

How to avoid dependency conflics when installing vim from source?

I run Ubuntu 14.04 and want to use YouCompleteMe with vim for python and c++ code completion. YouCompleteMe requires vim 7.4.143+, which is higher than what I get with apt-get, so I follow this ...
31
votes
2answers
22k views

How can I get a newer version of Vim on Ubuntu?

Ubuntu's packages can be pretty old, but for some desktop programs (like Vim) I'd much rather have the latest version, as newer versions often fix various bugs. How can I get a reasonably recent Vim ...
20
votes
7answers
24k views

Vim 8.0 Python support

I'm trying to upgrade my Vim installation to version 8.0, but it doesn't support both Python and Python 3 as the below image. (PS: Because of this problem, I cannot use the YCM (YouCompleteMe) plugin ...
12
votes
1answer
7k views

Vim compiled with python3 but has('python') returns 0

I just followed these instructions to compile vim with python 3: https://github.com/Valloric/YouCompleteMe/wiki/Building-Vim-from-source After the install I checked to see if I have python3: vim --...
3
votes
3answers
554 views

No echo command?

I tried doing the following command on a new install of Ubuntu and got a "Sorry, command not supported on this version message": :echo @% How could any version of vim not support echo? The reported ...
1
vote
1answer
754 views

Ethan Schoonover's Solarized color scheme does not work as expected

I'm trying to use this color scheme on my Ubuntu system. I installed the package using Option 1 in GitHub, and modified .vimrc as instructed. It turns out that the colors displayed are different as ...
3
votes
1answer
4k views

How do I install Neovim with GUI and msgpack support in Ubuntu?

I would like to get Neovim because of its msgpack API and clear roadmap of development, but it is not in Ubuntu 16.04's repositories. Command 'gvim' from package 'vim' (main) Command 'gvim' from ...